Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.ClientConnection2OrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnection2`, `ClientWireProtocol.ClientConnection2.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnection2OrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.protobuf.ByteString` `getCipher()` `bytes cipher = 1;`
`boolean` `getForce()` Force = true means not allowed to redirect the connection
`com.google.protobuf.ByteString` `getHmac()` `bytes hmac = 3;`
`String` `getPubKey()` `string pubKey = 4;`
`com.google.protobuf.ByteString` `getPubKeyBytes()` `string pubKey = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getCipher

    com.google.protobuf.ByteString getCipher()

`bytes cipher = 1;`

Returns:
  The cipher.

#### getForce

    boolean getForce()

    Force = true means not allowed to redirect the connection

`bool force = 2;`

Returns:
  The force.

#### getHmac

    com.google.protobuf.ByteString getHmac()

`bytes hmac = 3;`

Returns:
  The hmac.

#### getPubKey

    String getPubKey()

`string pubKey = 4;`

Returns:
  The pubKey.

#### getPubKeyBytes

    com.google.protobuf.ByteString getPubKeyBytes()

`string pubKey = 4;`

Returns:
  The bytes for pubKey.